commit:     7163e2c7f86bef3a089f3e6cf249d0340ce28aae
Author:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 17 16:22:09 2024 +0000
Commit:     Petr Vaněk <arkamar <AT> gentoo <DOT> org>
CommitDate: Tue Sep 17 16:26:41 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7163e2c7

sys-apps/cinit: update EAPI 7 -> 8

Signed-off-by: Petr Vaněk <arkamar <AT> gentoo.org>

 sys-apps/cinit/cinit-0.2.1-r2.ebuild | 42 ++++++++++++++++++++++++++++++++++++
 1 file changed, 42 insertions(+)

diff --git a/sys-apps/cinit/cinit-0.2.1-r2.ebuild 
b/sys-apps/cinit/cinit-0.2.1-r2.ebuild
new file mode 100644
index 000000000000..4a302895f556
--- /dev/null
+++ b/sys-apps/cinit/cinit-0.2.1-r2.ebuild
@@ -0,0 +1,42 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="a fast, small and simple init with support for profiles"
+HOMEPAGE="http://linux.schottelius.org/cinit/";
+SRC_URI="http://linux.schottelius.org/${PN}/archives/${P}.tar.bz2";
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~hppa ~ppc ~x86"
+IUSE="doc"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.2.1-musl-clang16-build-fix.patch
+)
+
+src_prepare() {
+       sed -i "/contrib+tools/d" Makefile || die
+       sed -i "/^STRIP/s/strip.*/true/" Makefile.include || die
+       default
+}
+
+src_compile() {
+       emake \
+               CC="$(tc-getCC)" \
+               LD="$(tc-getCC)" \
+               CFLAGS="${CFLAGS} -I." \
+               LDFLAGS="${LDFLAGS}" \
+               STRIP=/bin/true \
+               all
+}
+
+src_install() {
+       emake LD="$(tc-getCC)" DESTDIR="${D}" install
+       rm -f "${D}"/sbin/{init,shutdown,reboot} || die
+       dodoc Changelog CHANGES CREDITS README TODO
+       use doc && dodoc -r doc
+}

Reply via email to